<?php

namespace Five9;

class Admin {

	private static $instance;

	public static function instance() {
		if ( ! isset( self::$instance ) && ! ( self::$instance instanceof Admin ) ) {
			self::$instance = new Admin;

			self::$instance->includes();
			self::$instance->actions();
		}

		return self::$instance;
	}

	private function includes() {
		require_once FIVE9_PLUGIN_DIR . 'includes/admin/class-admin-pages.php';
	}

	private function actions() {
		add_action( 'admin_enqueue_scripts', array( $this, 'register_styles_and_scripts' ) );
	}

	public function register_styles_and_scripts() {
		$current_screen = get_current_screen();
		if ( 'settings_page_five9' !== $current_screen->base ) {
			return;
		}

		$css_dir = FIVE9_PLUGIN_URL . 'assets/css/';
		$js_dir  = FIVE9_PLUGIN_URL . 'assets/js/';

		// Use minified libraries if SCRIPT_DEBUG is turned off
		$suffix  = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

		wp_enqueue_style( 'jquery-ui-css' );
		wp_register_style( 'five9-admin', $css_dir . 'admin-styles' . $suffix . '.css', array(), FIVE9_VERSION );
		wp_enqueue_style( 'five9-admin' );

		wp_enqueue_script( 'jquery-ui-tooltip' );

		wp_register_script( 'five9-admin-scripts', $js_dir . 'admin-scripts' . $suffix . '.js', array( 'jquery' ), FIVE9_VERSION, false );
		wp_enqueue_script( 'five9-admin-scripts' );

	}
}

Admin::instance();
